LibreOffice: _typelib_InterfaceMethodTypeDescription Struct Reference

LibreOffice LibreOffice 5.1 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
_typelib_InterfaceMethodTypeDescription Struct Reference

Type description of an interface method. More...

`#include <typedescription.h>`

## Public Attributes
typelib_InterfaceMemberTypeDescription | aBase
| inherits all members of typelib_InterfaceMemberTypeDescription More...
typelib_TypeDescriptionReference * | pReturnTypeRef
| type of the return value More...
sal_Int32 | nParams
| number of parameters More...
typelib_MethodParameter * | pParams
| array of parameters More...
sal_Int32 | nExceptions
| number of exceptions More...
typelib_TypeDescriptionReference ** | ppExceptions
| array of exception types More...
sal_Bool | bOneWay
| determines whether method is declared oneway More...
struct _typelib_InterfaceTypeDescription * | pInterface
| the interface description this method is a member of More...
typelib_TypeDescriptionReference * | pBaseRef
| the inherited direct base method (null for a method that is not inherited) More...
sal_Int32 | nIndex
| if pBaseRef is null, the member position of this method within pInterface, not counting members inherited from bases; if pBaseRef is not null, the index of the direct base within pInterface from which this method is inherited More...

## Detailed Description

Type description of an interface method.

The type class of this description is typelib_TypeClass_INTERFACE_METHOD. The size and the alignment are 0.

## Member Data Documentation

typelib_InterfaceMemberTypeDescription _typelib_InterfaceMethodTypeDescription::aBase

inherits all members of typelib_InterfaceMemberTypeDescription

sal_Bool _typelib_InterfaceMethodTypeDescription::bOneWay

determines whether method is declared oneway

sal_Int32 _typelib_InterfaceMethodTypeDescription::nExceptions

number of exceptions

sal_Int32 _typelib_InterfaceMethodTypeDescription::nIndex

if pBaseRef is null, the member position of this method within pInterface, not counting members inherited from bases; if pBaseRef is not null, the index of the direct base within pInterface from which this method is inherited

Since
  UDK 3.2.0

sal_Int32 _typelib_InterfaceMethodTypeDescription::nParams

number of parameters

typelib_TypeDescriptionReference* _typelib_InterfaceMethodTypeDescription::pBaseRef

the inherited direct base method (null for a method that is not inherited)

Since
  UDK 3.2.0

struct _typelib_InterfaceTypeDescription* _typelib_InterfaceMethodTypeDescription::pInterface

the interface description this method is a member of

typelib_MethodParameter* _typelib_InterfaceMethodTypeDescription::pParams

array of parameters

typelib_TypeDescriptionReference** _typelib_InterfaceMethodTypeDescription::ppExceptions

array of exception types

typelib_TypeDescriptionReference* _typelib_InterfaceMethodTypeDescription::pReturnTypeRef

type of the return value

The documentation for this struct was generated from the following file:

- typelib/typedescription.h